List available CRM connectors with their auth descriptors
curl --request GET \
--url https://api.pineyard.ai/crm/providers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/crm/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/crm/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"providers": [
{
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"authMode": "API_KEY",
"caps": {
"lists": true,
"webhooks": true,
"pushOutcomes": true,
"tasks": true,
"dealStages": true
},
"apiKeyFields": [
{
"key": "<string>",
"label": "<string>",
"secret": true,
"helpText": "<string>",
"helpUrl": "<string>",
"placeholder": "<string>"
}
]
}
]
}CRM
List available CRM connectors with their auth descriptors
GET
/
crm
/
providers
List available CRM connectors with their auth descriptors
curl --request GET \
--url https://api.pineyard.ai/crm/providers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/crm/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/crm/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"providers": [
{
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"authMode": "API_KEY",
"caps": {
"lists": true,
"webhooks": true,
"pushOutcomes": true,
"tasks": true,
"dealStages": true
},
"apiKeyFields": [
{
"key": "<string>",
"label": "<string>",
"secret": true,
"helpText": "<string>",
"helpUrl": "<string>",
"placeholder": "<string>"
}
]
}
]
}
